From 5336c95ac4819858260196be4636d44529bd1f0d Mon Sep 17 00:00:00 2001
From: EC25 Developer <myname@company.com>
Date: Mon, 22 Jun 2020 18:47:35 +0530
Subject: [PATCH 02/10] RTC Changes

---
 ql-ol-kernel/arch/arm/boot/dts/qcom/mdm9607.dtsi | 5 ++++-
 ql-ol-kernel/drivers/rtc/Makefile                | 3 ++-
 2 files changed, 6 insertions(+), 2 deletions(-)

diff --git a/ql-ol-kernel/arch/arm/boot/dts/qcom/mdm9607.dtsi b/ql-ol-kernel/arch/arm/boot/dts/qcom/mdm9607.dtsi
index e53def3..91f43d9 100755
--- a/ql-ol-kernel/arch/arm/boot/dts/qcom/mdm9607.dtsi
+++ b/ql-ol-kernel/arch/arm/boot/dts/qcom/mdm9607.dtsi
@@ -427,7 +427,10 @@
 			compatible = "quec,quec-max9860-i2c";
 			reg = <0x10>;
 		};
-		
+	        rtc@68 {
+                        compatible = "mc,rv4162";
+                        reg = <0x68>;
+                };
 		//2016-12-21, add by sundy.wang
 		tlv320aic3x_codec@18{
 			compatible = "quec,quec-tlv320aic3x-i2c";
diff --git a/ql-ol-kernel/drivers/rtc/Makefile b/ql-ol-kernel/drivers/rtc/Makefile
index b232426..6a5ab63 100755
--- a/ql-ol-kernel/drivers/rtc/Makefile
+++ b/ql-ol-kernel/drivers/rtc/Makefile
@@ -71,7 +71,8 @@ obj-$(CONFIG_RTC_DRV_JZ4740)	+= rtc-jz4740.o
 obj-$(CONFIG_RTC_DRV_LP8788)	+= rtc-lp8788.o
 obj-$(CONFIG_RTC_DRV_LPC32XX)	+= rtc-lpc32xx.o
 obj-$(CONFIG_RTC_DRV_LOONGSON1)	+= rtc-ls1x.o
-obj-$(CONFIG_RTC_DRV_M41T80)	+= rtc-m41t80.o
+obj-y				+= rtc-m41t80.o
+#obj-$(CONFIG_RTC_DRV_M41T80)	+= rtc-m41t80.o
 obj-$(CONFIG_RTC_DRV_M41T93)	+= rtc-m41t93.o
 obj-$(CONFIG_RTC_DRV_M41T94)	+= rtc-m41t94.o
 obj-$(CONFIG_RTC_DRV_M48T35)	+= rtc-m48t35.o
-- 
2.7.4

